### Hierarchy

- unknown
  - RefreshOfferMessage

## Index

### Constructors

- constructor

### Methods

- getHashOfDataAndSeqNr
- getHashOfDataAndSeqNr_asB64
- getHashOfDataAndSeqNr_asU8
- getHashOfPayload
- getHashOfPayload_asB64
- getHashOfPayload_asU8
- getSequenceNumber
- getSignature
- getSignature_asB64
- getSignature_asU8
- serializeBinary
- setHashOfDataAndSeqNr
- setHashOfPayload
- setSequenceNumber
- setSignature
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RefreshOfferMessage(): RefreshOfferMessage

- Inherited from jspb.Message.constructor

  #### Returns RefreshOfferMessage

## Methods

### getHashOfDataAndSeqNr

- getHashOfDataAndSeqNr(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:804

  #### Returns string | Uint8Array

### getHashOfDataAndSeqNr_asB64

- getHashOfDataAndSeqNr_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:806

  #### Returns string

### getHashOfDataAndSeqNr_asU8

- getHashOfDataAndSeqNr_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:805

  #### Returns Uint8Array

### getHashOfPayload

- getHashOfPayload(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:814

  #### Returns string | Uint8Array

### getHashOfPayload_asB64

- getHashOfPayload_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:816

  #### Returns string

### getHashOfPayload_asU8

- getHashOfPayload_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:815

  #### Returns Uint8Array

### getSequenceNumber

- getSequenceNumber(): number

- - Defined in src/protobuf/pb_pb.d.ts:819

  #### Returns number

### getSignature

- getSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:809

  #### Returns string | Uint8Array

### getSignature_asB64

- getSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:811

  #### Returns string

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:810

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:822

  #### Returns Uint8Array

### setHashOfDataAndSeqNr

- setHashOfDataAndSeqNr(value: string | Uint8Array): RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:807

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefreshOfferMessage

### setHashOfPayload

- setHashOfPayload(value: string | Uint8Array): RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:817

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefreshOfferMessage

### setSequenceNumber

- setSequenceNumber(value: number): RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:820

  #### Parameters

  - ##### value: number

  #### Returns RefreshOfferMessage

### setSignature

- setSignature(value: string | Uint8Array): RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:812

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefreshOfferMessage

### toObject

- toObject(includeInstance?: boolean): RefreshOfferMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:823

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RefreshOfferMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:826

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RefreshOfferMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RefreshOfferMessage, reader: BinaryReader): RefreshOfferMessage

- - Defined in src/protobuf/pb_pb.d.ts:827

  #### Parameters

  - ##### message: RefreshOfferMessage

  - ##### reader: BinaryReader

  #### Returns RefreshOfferMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RefreshOfferMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:825

  #### Parameters

  - ##### message: RefreshOfferMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RefreshOfferMessage ): RefreshOfferMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:824

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RefreshOfferMessage

  #### Returns RefreshOfferMessage . AsObject

Generated using TypeDoc